#
# spec file for package tsdb
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if 0%{!?_initddir:1}
%if 0%{?suse_version}
%define _initddir %{_sysconfdir}/init.d
%else
%define _initddir %{_sysconfdir}/rc.d/init.d
%endif
%endif

%define init_script %{_initddir}/tsdb_local_queue

%define lqdir       %{_var}/log/nocpulse/TSDBLocalQueue
%define bdbdir      %{_var}/lib/nocpulse/tsdb/bdb
%define npbin       %{_bindir}

Name:           tsdb
Source0:        tsdb-git-f5bf811b87bd1edc69ba40f3190a3674285036f9.tar.gz
Version:        1.27.22
Release:        1.3
Summary:        Time Series Database
Url:            https://fedorahosted.org/spacewalk
Requires:       perl-NOCpulse-Utils perl(NOCpulse::Debug) perl(IO::Stringy) perl(Class::MethodMaker) perl(Date::Manip)
BuildArch:      noarch
Group:          Applications/Databases
License:        GPL v2 only
Requires:       nocpulse-common
%if 0%{?suse_version}
Requires:       perl = %{perl_version}
BuildRequires:  nocpulse-common
BuildRequires:  httpd
%else
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%endif
Requires:       SatConfig-general
Requires:       httpd
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Time Series Database



%prep
%setup -q -n tsdb-git-f5bf811b87bd1edc69ba40f3190a3674285036f9

%build
#Nothing to build

%install
rm -rf $RPM_BUILD_ROOT

# Directories

install -d $RPM_BUILD_ROOT/%{perl_vendorlib}/NOCpulse/TSDB/LocalQueue
mkdir -p $RPM_BUILD_ROOT%bdbdir
mkdir -p $RPM_BUILD_ROOT%lqdir
mkdir -p $RPM_BUILD_ROOT%lqdir/queue
mkdir -p $RPM_BUILD_ROOT%lqdir/archive
mkdir -p $RPM_BUILD_ROOT%lqdir/failed
#mkdir -p $RPM_BUILD_ROOT%npbin/tsdb_test
mkdir -p $RPM_BUILD_ROOT%{_bindir}

# Code
install -m 644 TSDB.pm $RPM_BUILD_ROOT/%{perl_vendorlib}/NOCpulse
install -m 644 LocalQueue/*.pm $RPM_BUILD_ROOT/%{perl_vendorlib}/NOCpulse/TSDB/LocalQueue
#install -m 644 LocalQueue/test/*.pm $RPM_BUILD_ROOT/%{perl_vendorlib}/NOCpulse/TSDB/LocalQueue/test
install -m 755 LocalQueue/TSDBLocalQueue.pl $RPM_BUILD_ROOT%npbin/TSDBLocalQueue.pl
#install -m 755 LocalQueue/test/enqueue.pl   $RPM_BUILD_ROOT%npbin/tsdb_test/enqueue.pl
#install -m 755 LocalQueue/test/replaylog.pl $RPM_BUILD_ROOT%npbin/tsdb_test/replaylog.pl

# Ops utilities
install -m 755 LocalQueue/drainer $RPM_BUILD_ROOT%{_bindir}
install -m 755 LocalQueue/rebalance_cron $RPM_BUILD_ROOT%{_bindir}

# Local queue init script (temporary, will be superseded by sysv stuff)
install -D -m 755 LocalQueue/init_script $RPM_BUILD_ROOT%{init_script}

# add rclink
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
ln -sf ../../etc/init.d/tsdb_local_queue $RPM_BUILD_ROOT/%{_sbindir}/rctsdb_local_queue

%pre
if [ -d %{init_script} -a %{init_script} != "/" ]; then
  rm -rf %{init_script}
fi

%post
if [ $1 -eq 2 ]; then
  ls /opt/nocpulse/TSDBLocalQueue/TSDBLocalQueue.log 2>/dev/null | xargs -I file mv file %lqdir
  ls /opt/nocpulse/TSDBLocalQueue/queuefile.positions 2>/dev/null | xargs -I file mv file %lqdir
  ls /opt/nocpulse/TSDBLocalQueue/archive/* 2>/dev/null | xargs -I file mv file %lqdir/archive
  ls /opt/nocpulse/TSDBLocalQueue/failed/* 2>/dev/null | xargs -I file mv file %lqdir/failed
  ls /opt/nocpulse/TSDBLocalQueue/queue/* 2>/dev/null | xargs -I file mv file %lqdir/queue
fi

%if 0%{?suse_version}

%postun
%insserv_cleanup

%preun
%stop_on_removal
%endif

%files
%defattr(-,root,root,-)
%{init_script}
%{_sbindir}/rctsdb_local_queue
%{_bindir}/*
%if 0%{?suse_version}
%attr(755,wwwrun,www) %dir %bdbdir
%attr(755,wwwrun,www) %dir %lqdir
%attr(755,wwwrun,www) %dir %lqdir/queue
%attr(755,wwwrun,www) %dir %lqdir/archive
%attr(755,wwwrun,www) %dir %lqdir/failed
%else
%attr(755,apache,apache) %dir %bdbdir
%attr(755,apache,apache) %dir %lqdir
%attr(755,apache,apache) %dir %lqdir/queue
%attr(755,apache,apache) %dir %lqdir/archive
%attr(755,apache,apache) %dir %lqdir/failed
%endif
%dir %{perl_vendorlib}/NOCpulse/TSDB
%{perl_vendorlib}/NOCpulse/*
%if 0%{?suse_version}
%dir %{_localstatedir}/lib/nocpulse/tsdb
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Feb  7 2011 mc@suse.de
- add rc link (bnc#669894)
* Tue Sep 14 2010 mantel@suse.de
- Initial release
